jQuery(document).ready(function($) {
    // Manejar clic en el botón "Reportar"
    $(document).on('click', '.report-button', function(e) {
        e.preventDefault();
        var post_id = $(this).data('post-id');
        $.ajax({
            type: 'POST',
            url: report_script_params.ajaxurl,
            data: {
                action: 'report_post',
                post_id: post_id
            },
            success: function(response) {
                // Muestra un mensaje de agradecimiento al usuario
                alert('¡Muchas gracias por avisar!');
            },
            error: function(error) {
                console.log(error);
                // Muestra un mensaje de error al usuario
                alert('Error al procesar la solicitud.');
            }
        });
    });

    // Manejar clic en el botón "Marcar como solventado"
    $(document).on('click', '.mark-as-fixed', function(e) {
        e.preventDefault();
        var post_id = $(this).data('post-id');
        $.ajax({
            type: 'POST',
            url: report_script_params.ajaxurl,
            data: {
                action: 'mark_as_fixed',
                post_id: post_id
            },
            success: function(response) {
                $('#report-messages').html('<div class="notice notice-success is-dismissible"><p>' + response + '</p></div>');
                // Recargar la tabla después de marcar como solventado
                window.location.reload();
            },
            error: function(error) {
                console.log(error);
                $('#report-messages').html('<div class="notice notice-error is-dismissible"><p>Error al procesar la solicitud.</p></div>');
            }
        });
    });
});
